_PurpleConversation Struct Reference

A core representation of a conversation between two or more people. More...

`#include <conversation.h>`

## Data Fields

PurpleConversationType | type
| The type of conversation. More...
PurpleAccount * | account
| The user using this conversation. More...
char * | name
| The name of the conversation. More...
char * | title
| The window title. More...
gboolean | logging
| The status of logging. More...
GList * | logs
| This conversation's logs.
union {
PurpleConvIm * im
| IM-specific data. More...
PurpleConvChat * chat
| Chat-specific data. More...
void * misc
| Misc. More...
} | u
PurpleConversationUiOps * | ui_ops
| UI-specific operations. More...
void * | ui_data
| UI-specific data. More...
GHashTable * | data
| Plugin-specific data. More...
PurpleConnectionFlags | features
| The supported features.
GList * | message_history
| Message history, as a GList of PurpleConvMessage's.

## Detailed Description

A core representation of a conversation between two or more people.

The conversation can be an IM or a chat.

Definition at line 335 of file conversation.h.

## Field Documentation

PurpleAccount* _PurpleConversation::account

The user using this conversation.

Definition at line 339 of file conversation.h.

PurpleConvChat* _PurpleConversation::chat

Chat-specific data.

Definition at line 352 of file conversation.h.

GHashTable* _PurpleConversation::data

Plugin-specific data.

Definition at line 360 of file conversation.h.

PurpleConvIm* _PurpleConversation::im

IM-specific data.

Definition at line 351 of file conversation.h.

gboolean _PurpleConversation::logging

The status of logging.

Definition at line 345 of file conversation.h.

void* _PurpleConversation::misc

Misc.

data.

Definition at line 353 of file conversation.h.

char* _PurpleConversation::name

The name of the conversation.

Definition at line 342 of file conversation.h.

char* _PurpleConversation::title

The window title.

Definition at line 343 of file conversation.h.

PurpleConversationType _PurpleConversation::type

The type of conversation.

Definition at line 337 of file conversation.h.

void* _PurpleConversation::ui_data

UI-specific data.

Definition at line 358 of file conversation.h.

PurpleConversationUiOps* _PurpleConversation::ui_ops

UI-specific operations.

Definition at line 357 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h